Subject: bug#54327: closed (Re: [bug#54327] [PATCH 0/3] gnu: sdcc: Update to 4.2.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Mar 2022 23:43:02 +0000

Your bug report

#54327: [PATCH 0/3] gnu: sdcc: Update to 4.2.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54327: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54327
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#54327] [PATCH 0/3] gnu: sdcc: Update to 4.2.0.
From: Nicolas Goaziou <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Mar 2022 00:42:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Simon South <[email-masked]> writes:

> Here's a patch series that updates SDCC, a C compiler suite for eight-bit
> microcontrollers, to 4.2.0.
>
> It also improves the package by
>
> - Removing input labels from the package definition, and
>
> - Enabling readline support in the debugger, SDCDB.
>
> To minimize rebuilds I suggest applying this after the update to μCsim in
> issue 54260[0].
>
> I've tested this (including rebuilding SDCC's four dependent packages) on
> AArch64 and x86-64 and all appears well.
>
> [0] https://issues.guix.gnu.org/54260

Applied. Thank you.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/3] gnu: sdcc: Update to 4.2.0.
From: Simon South <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2022 07:27:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Here's a patch series that updates SDCC, a C compiler suite for eight-bit
microcontrollers, to 4.2.0.

It also improves the package by

- Removing input labels from the package definition, and

- Enabling readline support in the debugger, SDCDB.

To minimize rebuilds I suggest applying this after the update to μCsim in
issue 54260[0].

I've tested this (including rebuilding SDCC's four dependent packages) on
AArch64 and x86-64 and all appears well.

[0] https://issues.guix.gnu.org/54260

--
Simon South
[email-masked]

Simon South (3):
  gnu: sdcc: Remove input labels.
  gnu: sdcc: Build debugger with readline support.
  gnu: sdcc: Update to 4.2.0.

 gnu/packages/embedded.scm                     |  22 +-
 .../patches/sdcc-disable-non-free-code.patch  | 363 +++++++++---------
 2 files changed, 200 insertions(+), 185 deletions(-)

base-commit: cceb5344ae64faa3079556084c7d63615df53eb4
-- 
2.34.0